Subject: Want to know what the real Russian girls love and warmth?

From: <[email-masked]>
Date: Sun, 14 Feb 2010 16:52:41 -0300

You have little joy in life? Lacks warmth and affection? Come to me. Click